GET api/mediwaveprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Response Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "3553db26-12f2-4ac5-9c1d-6eb0136da28e",
"program_id": "91b7c361-eabc-44fe-bb79-38081bdd0923",
"mediwave_program_step_type_id": "d93112aa-c6c2-4684-b15e-206400f25ab8",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>3553db26-12f2-4ac5-9c1d-6eb0136da28e</id> <mediwave_program_step_type_id>d93112aa-c6c2-4684-b15e-206400f25ab8</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>91b7c361-eabc-44fe-bb79-38081bdd0923</program_id> </mediwave_program_step>